Submit a form from the backend (internal)
curl --request POST \
--url https://api.octaviatech.app/cms/forms/{id}/internal-submit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"language": "en",
"status": 1,
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
'import requests
url = "https://api.octaviatech.app/cms/forms/{id}/internal-submit"
payload = {
"language": "en",
"status": 1,
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: 'en',
status: 1,
values: {fullName: 'John Doe', email: 'john@example.com', message: 'Hello!'}
})
};
fetch('https://api.octaviatech.app/cms/forms/{id}/internal-submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"statusCode": 200,
"message": "Form submitted successfully",
"data": {
"submission": {
"_id": "{{objectId}}",
"formId": "{{objectId}}",
"language": "en",
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
},
"relations": [],
"status": 1,
"submittedAt": "2025-10-01T12:00:00.000Z",
"isDeleted": false,
"createdAt": "2025-10-01T12:00:00.000Z",
"updatedAt": "2025-10-01T12:00:00.000Z",
"relatedEntries": [],
"reverseRelations": []
}
}
}{
"success": false,
"statusCode": 400,
"message": "x-tenant-id is required",
"data": null
}{
"success": false,
"statusCode": 401,
"message": "Missing or invalid auth context",
"data": null
}{
"success": false,
"statusCode": 403,
"message": "Form is not active",
"data": null
}{
"success": false,
"statusCode": 404,
"message": "Form not found",
"data": null
}{
"success": false,
"statusCode": 406,
"message": "Field \"Email\" is required",
"data": null
}{
"success": false,
"statusCode": 409,
"message": "Field \"Parent\" violates one-to-one uniqueness",
"data": null
}{
"success": false,
"statusCode": 426,
"message": "formSubmissions limit exceeded (used: 500, limit: 500)",
"data": {
"used": 500,
"limit": 500,
"remaining": 0,
"overflow": 1
}
}{
"success": false,
"statusCode": 500,
"message": "Server Error",
"data": null
}Form
Submit Form from Backend
Submit Form from Backend.
POST
/
forms
/
{id}
/
internal-submit
Submit a form from the backend (internal)
Authorizations
Path Parameters
24-char hex identifier of the target form.
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
Body
application/json
Language code this submission is stored under (e.g. "en", "fa"). Defaults to "fa" when omitted.
Key-value map where keys are the form's sections[].fields[].name.
Field rules are enforced server-side (406 on violation):
- fields with
required: truemust be present and non-empty - fields with
disabled: truemust be absent - type is checked per field type (email, tel, number, checkbox/switch boolean,
multi-checkbox/multi-select array, select must match an
options[].value) - a field with a
relationmust contain existing submission ids of the target form;one-to-oneandmany-to-onetake a single id string,one-to-manyandmany-to-manytake a non-empty array of id strings
Show child attributes
Show child attributes
Initial status. Honoured on this route only (ignored on the public submit route). Defaults to 0 (pending) when omitted.
Available options:
0, 1, 2 Accepted but not verified on this route — CAPTCHA checks are skipped for the internal channel.
Response
Submitted
Was this page helpful?

